Name: H5Tset_order
Signature:
  herr_t `H5Tset_order`(hid_t `dtype_id`, H5T_order_t `order` )

Purpose:
  Sets the byte order of an atomic datatype.

Description:
  `H5Tset_order` sets the byte order of an atomic datatype.

  Byte orders currently supported are:

  `H5T_ORDER_LE` (`0`)
    Little-endian byte order
  `H5T_ORDER_BE` (`1`)
    Big-endian byte order
  `H5T_ORDER_VAX` (`2`)
    VAX mixed byte order (not currently supported)

  `H5T_ORDER_NONE` (`3`) is also a valid value for `order`, but it has no effect. It is valid only for fixed-length strings and object and region references and specifies “no particular order.”

Parameters:

hid_t `dtype_id` | Identifier of datatype to set.
H5T_order_t `order` | Byte order constant.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.

Fortran90 Interface: h5tset_order_f

      SUBROUTINE h5tset_order_f(type_id, order, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id   ! Datatype identifier
        INTEGER, INTENT(IN) :: order            ! Datatype byte order
                                                ! Possible values are:
                                                !    H5T_ORDER_LE_F
                                                !    H5T_ORDER_BE_F
                                                !    H5T_ORDER_VAX_F
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5tset_order_f